Package fr.gouv.vitam.functionaltest.cucumber.service

# Class AccessService

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.service.AccessService

public class AccessService extends Object
Access service containing common code for access

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkResultsForParticularData(com.fasterxml.jackson.databind.JsonNode jsonNode, io.cucumber.datatable.DataTable dataTable)`
  `void`
  `checkResultsForParticularData(List<com.fasterxml.jackson.databind.JsonNode> results, int resultNumber, io.cucumber.datatable.DataTable dataTable)`
  Check in the given result the expected datas
  `String`
  `findUnitGUIDByTitleAndOperationId(AccessExternalClient accessClient, int tenantId, String contractId, String applicationSessionId, String operationId, String auTitle)`
  Search an AU by its tile (unique in sip) and operationId (of the sip operation)

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessService

    public AccessService()

- ## Method Details

  - ### findUnitGUIDByTitleAndOperationId

    public String findUnitGUIDByTitleAndOperationId(AccessExternalClient accessClient, int tenantId, String contractId, String applicationSessionId, String operationId, String auTitle) throws InvalidCreateOperationException, VitamClientException
    Search an AU by its tile (unique in sip) and operationId (of the sip operation)
    Parameters:
      `accessClient` - access client
      `tenantId` - tenant id
      `contractId` - access contract id
      `applicationSessionId` - application session id
      `operationId` - logbook operation id
      `auTitle` - au title
    Returns:
      AU GUID
    Throws:
      `InvalidCreateOperationException` - exception
      `VitamClientException` - exception

  - ### checkResultsForParticularData

    public void checkResultsForParticularData(List<com.fasterxml.jackson.databind.JsonNode> results, int resultNumber, io.cucumber.datatable.DataTable dataTable) throws Throwable
    Check in the given result the expected datas
    Parameters:
      `results` - all results
      `resultNumber` - index of result
      `dataTable` - expected datas
    Throws:
      `Throwable`

  - ### checkResultsForParticularData

    public void checkResultsForParticularData(com.fasterxml.jackson.databind.JsonNode jsonNode, io.cucumber.datatable.DataTable dataTable) throws Throwable
    Throws:
      `Throwable`